Subject: Yugos?

From: [email-masked]
Date: Thu, 15 Dec 1994 15:13:56 GMT

Was in a hardware store last night, saw reference to a new bee being
'developed in the US' called Yugo which shows great resistance to
or something similarly titled. I only ask because we are just so..chatty
  Regards, Lars/[email-masked]